Index: orxonox/trunk/src/defs/class_list.h
===================================================================
--- orxonox/trunk/src/defs/class_list.h	(revision 4596)
+++ orxonox/trunk/src/defs/class_list.h	(revision 4597)
@@ -108,5 +108,5 @@
 
 
-  // WorldEntities (range from 0x00000201 to 0x000005ff)
+  // WorldEntities (range from 0x00000201 to 0x000004ff)
   CL_CAMERA               =    0x00000201,
   CL_CAMERA_TARGET        =    0x00000202,
@@ -122,42 +122,56 @@
 
 
-  CL_EVENT                =    0x00000a08,
-  CL_KEY_MAPPER           =    0x00000a09,
+  // gamePlay (range from 0x00000500 0x000005ff)
+  CL_EVENT                =    0x00000501,
+  CL_KEY_MAPPER           =    0x00000502,
+
+  CL_WEAPON_MANAGER       =    0x00000503,
+
+  // Physics stuff (range from 0x00000600 to 0x000007ff)
+  CL_PHYSICS_CONNECTION   =    0x00000601,
+  // Collision
+  CL_COLLISION            =    0x00000611,
+  CL_BV_TREE              =    0x00000612,
+  CL_BV_TREE_NODE         =    0x00000613,
+  CL_OBB_TREE             =    0x00000614,
+  CL_OBB_TREE_NODE        =    0x00000615,
+  CL_BOUNDING_VOLUME      =    0x00000616,
+  CL_OBB                  =    0x00000617,
+  CL_BOUNDING_SPHERE      =    0x00000618,
 
   // graphical stuff (range from 0x00000800 to 0x000009ff)
   CL_TEXT                 =    0x00000801,
-  CL_MATERIAL             =    0x00000802,
-  CL_MODEL                =    0x00000803, //!< \todo make this a SUBCLASS maybe
-  CL_OBJMODEL             =    0x00000804,
-  CL_PROMITIVE_MODEL      =    0x00000805,
-  CL_MD2Model             =    0x00000806,
-  CL_LIGHT                =    0x00000807,
-  CL_PARTICLE_EMITTER     =    0x00000808,
-  CL_PARTICLE_SYSTEM      =    0x00000809,
+  CL_FONT                 =    0x00000802,
+  CL_MATERIAL             =    0x00000803,
+  CL_MODEL                =    0x00000804, //!< \todo make this a SUBCLASS maybe
+  CL_OBJMODEL             =    0x00000805,
+  CL_PROMITIVE_MODEL      =    0x00000806,
+  CL_MD2Model             =    0x00000807,
+  CL_LIGHT                =    0x00000808,
+  CL_PARTICLE_EMITTER     =    0x00000809,
+  CL_PARTICLE_SYSTEM      =    0x0000080a,
+  CL_ENVIRONMENT          =    0x00000810,
   // GL-menu
   CL_GLMENU_IMAGE_SCREEN  =    0x00000901,
 
-  // Collision
-  CL_COLLISION,
-  CL_BV_TREE,
-  CL_BV_TREE_NODE,
-  CL_OBB_TREE,
-  CL_OBB_TREE_NODE,
-  CL_BOUNDING_VOLUME,
-  CL_OBB,
-  CL_BOUNDING_SPHERE,
+  // sound stuff (range from 0x00000a00 to 0x00000aff)
+  CL_SOUND_BUFFER         =    0x00000a01,
+  CL_SOUND_SOURCE         =    0x00000a02,
 
-  // misc: (range from 0x00000a00 to 0x00000bff)
-  CL_ANIMATION            =    0x00000a01,
-  //  CL_ANIMATION3D          =    0x00000a02,
-  CL_FACTORY              =    0x00000a02,
-  CL_INI_PARSER           =    0x00000a03,
-  CL_LIST                 =    0x00000a04,
-  CL_SUBSTRING            =    0x00000a05,
-  CL_LOAD_PARAM           =    0x00000a06,
-  CL_CURVE                =    0x00000a07,
-  CL_VECTOR               =    0x00000a08,
-  CL_CHARACTER_ATTRIBUTES =    0x00000a09,
-  CL_NUMBER
+
+  // misc: (range from 0x00000b00 to 0x00000cff)
+  CL_ANIMATION            =    0x00000b01,
+  //  CL_ANIMATION3D          =    0x00000b02,
+  CL_QUICK_ANIMATION      =    0x00000b02,
+  CL_FACTORY              =    0x00000b03,
+  CL_INI_PARSER           =    0x00000b04,
+  CL_LIST                 =    0x00000b05,
+  CL_SUBSTRING            =    0x00000b06,
+  CL_LOAD_PARAM           =    0x00000b07,
+  CL_CURVE                =    0x00000b08,
+  CL_VECTOR               =    0x00000b09,
+  CL_CHARACTER_ATTRIBUTES =    0x00000b0a,
+  CL_TRACK_ELEMENT        =    0x00000b0b,
+  CL_NUMBER               =    0x00000b0c
 };
 
Index: orxonox/trunk/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 4596)
+++ orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -13,5 +13,5 @@
    ### File Specific:
    main-programmer: Patrick Boenzli
-   co-programmer: 
+   co-programmer:
 */
 
@@ -28,59 +28,10 @@
 using namespace std;
 /**
-   \brief standard constructor
-*/
-GLMenuImageScreen::GLMenuImageScreen () 
-{
-   this->init();
-}
-
-/**
    \param root The Element to load the GLMenu from
 */
 GLMenuImageScreen::GLMenuImageScreen(const TiXmlElement* root)
 {
-  this->init();
-  this->loadParams(root);
-}
-
-/**
-   \brief Loads a GLMenu from an inputElement
-   \param root The Element to load the GLMenu from
-*/
-void GLMenuImageScreen::loadParams(const TiXmlElement* root)
-{
-  LoadParam<GLMenuImageScreen>(root, "BackgroundImage", this, &GLMenuImageScreen::setBackgroundImage)
-    .describe("sets the image to load onto the loadscreen");
-
-  LoadParam<GLMenuImageScreen>(root, "BackgroundPS", this, &GLMenuImageScreen::setPosScale)
-    .describe("The Position and Scale of the Background Image in %(0-1.0). PosX, PosY, SizeX, SizeY");
-
-  LoadParam<GLMenuImageScreen>(root, "BarImage", this, &GLMenuImageScreen::setBarImage)
-    .describe("sets the image of the LoadingBar");
-  
-  LoadParam<GLMenuImageScreen>(root, "BarPS", this, &GLMenuImageScreen::setBarPosScale)
-    .describe("The Position and Scale of the Loading Bar in %(0-1.0). PosX, PosY, SizeX, SizeY");
-
-  LoadParam<GLMenuImageScreen>(root, "ElementCount", this, &GLMenuImageScreen::setMaximum)
-    .describe("The Count of elements to load into the bar (this is only a maximum value)");
-}
-
-/**
-   \brief standard deconstructor
-   \todo this deconstructor is not jet implemented - do it
-*/
-GLMenuImageScreen::~GLMenuImageScreen() 
-{
-  delete this->backMat;
-  delete this->barMat;
-}
-
-/**
-   \brief function to init the screen
-*/
-void GLMenuImageScreen::init ()
-{
   this->setClassID(CL_GLMENU_IMAGE_SCREEN, "GLMenuImageScreen");
-
+  this->setName("GLMenuLoadScreen");
   // Select Our VU Meter Background Texture
   this->backMat = new Material("load_screen");
@@ -92,7 +43,42 @@
   this->setBarPosScale( .6, .75, .3, .1);
   // End of Background image code.
-}
-
-/** 
+
+  if (root)
+    this->loadParams(root);
+}
+
+/**
+   \brief Loads a GLMenu from an inputElement
+   \param root The Element to load the GLMenu from
+*/
+void GLMenuImageScreen::loadParams(const TiXmlElement* root)
+{
+  LoadParam<GLMenuImageScreen>(root, "BackgroundImage", this, &GLMenuImageScreen::setBackgroundImage)
+    .describe("sets the image to load onto the loadscreen");
+
+  LoadParam<GLMenuImageScreen>(root, "BackgroundPS", this, &GLMenuImageScreen::setPosScale)
+    .describe("The Position and Scale of the Background Image in %(0-1.0). PosX, PosY, SizeX, SizeY");
+
+  LoadParam<GLMenuImageScreen>(root, "BarImage", this, &GLMenuImageScreen::setBarImage)
+    .describe("sets the image of the LoadingBar");
+
+  LoadParam<GLMenuImageScreen>(root, "BarPS", this, &GLMenuImageScreen::setBarPosScale)
+    .describe("The Position and Scale of the Loading Bar in %(0-1.0). PosX, PosY, SizeX, SizeY");
+
+  LoadParam<GLMenuImageScreen>(root, "ElementCount", this, &GLMenuImageScreen::setMaximum)
+    .describe("The Count of elements to load into the bar (this is only a maximum value)");
+}
+
+/**
+   \brief standard deconstructor
+   \todo this deconstructor is not jet implemented - do it
+*/
+GLMenuImageScreen::~GLMenuImageScreen()
+{
+  delete this->backMat;
+  delete this->barMat;
+}
+
+/**
     \brief sets the background image name
     \param backImageName name of the backgroun-image
@@ -191,7 +177,7 @@
 
 
-/** 
+/**
     \brief call this to trigger a progress event
-    
+
     this has to redraw the progress bar and the whole image
  */
@@ -211,11 +197,11 @@
   glClear( GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
 
-  PRINTF(4)("GLMenuImagEscreen::draw() - drawing step %i/%i\n", 
-	    this->currentValue, this->maxValue);
+  PRINTF(4)("GLMenuImagEscreen::draw() - drawing step %i/%i\n",
+            this->currentValue, this->maxValue);
 
   /* screen size */
   int screenWidth = GraphicsEngine::getInstance()->getResolutionX();
   int screenHeight = GraphicsEngine::getInstance()->getResolutionY();
-  
+
   int imageWidth = (int)(screenWidth * this->scaleX);
   int imageHeight = (int)(screenHeight * this->scaleY);
@@ -229,7 +215,7 @@
   int barW = (int)(this->barW *screenWidth);
   int barH = (int)(this->barH *screenHeight);
-  
+
   float val = (float)this->currentValue/(float)this->maxValue;
-		  
+
   if( val > barW)
     val = barW;
@@ -245,5 +231,5 @@
   glTexCoord2i(1, 0); glVertex2i(offsetX + imageWidth, offsetY);
   glEnd();
-  
+
   glDisable(GL_TEXTURE_2D);
   /* draw white border */
@@ -256,5 +242,5 @@
   glColor3f(1.0, 1.0, 1.0);
   glEnd();
-  
+
   /* draw the progress bar */
   barMat->select();
@@ -275,6 +261,6 @@
     glColor3f(1.0, 1.0, 1.0);
     glEnd();
-    
-    /* draw black border 
+
+    /* draw black border
     glBegin(GL_QUADS);
     glColor3f(0.0, 0.0, 0.0);
@@ -285,11 +271,11 @@
     glColor3f(1.0, 1.0, 1.0);
     glEnd();
-    
+
   */
 
   GraphicsEngine::leave2DMode();
 
-  SDL_GL_SwapBuffers();              
-}
- 
-
+  SDL_GL_SwapBuffers();
+}
+
+
Index: orxonox/trunk/src/glmenu/glmenu_imagescreen.h
===================================================================
--- orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 4596)
+++ orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file glmenu_imagescreen.h
     \brief class to display a LoadScreen
@@ -16,13 +16,10 @@
 
  public:
-  GLMenuImageScreen ();
-  GLMenuImageScreen (const TiXmlElement* root);
+  GLMenuImageScreen (const TiXmlElement* root = NULL);
   void loadParams(const TiXmlElement* root);
   virtual ~GLMenuImageScreen ();
 
-  void init ();
+  void draw ();
 
-  void draw ();
-  
   void setBackgroundImage(const char* backImageName);
   void setPosition(float offsetX, float offsetY);
Index: orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4596)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -29,10 +29,11 @@
    \todo this constructor is not jet implemented - do it
 */
-GraphicsEngine::GraphicsEngine () 
-{
+GraphicsEngine::GraphicsEngine ()
+{
+  this->setClassID(CL_GRAPHICS_ENGINE, "GraphicsEngine");
+  this->setName("GraphicsEngine");
   this->bDisplayFPS = false;
   this->minFPS = 9999;
   this->maxFPS = 0;
-  this->setClassID(CL_GRAPHICS_ENGINE, "GraphicsEngine");
 
   this->fullscreen = false;
@@ -51,5 +52,5 @@
    \brief destructs the graphicsEngine.
 */
-GraphicsEngine::~GraphicsEngine () 
+GraphicsEngine::~GraphicsEngine ()
 {
   // delete what has to be deleted here
@@ -79,10 +80,10 @@
   if( videoInfo == NULL)
     {
-      PRINTF(1)("Failed getting Video Info :%s\n", SDL_GetError()); 
+      PRINTF(1)("Failed getting Video Info :%s\n", SDL_GetError());
       SDL_Quit ();
     }
   if( videoInfo->hw_available)
     this->videoFlags |= SDL_HWSURFACE;
-  else 
+  else
     this->videoFlags |= SDL_SWSURFACE;
   /*
@@ -93,12 +94,12 @@
   // setting up the Resolution
   this->setResolution(800, 600, 16);
-  
+
   // Set window labeling
   SDL_WM_SetCaption ("Orxonox " PACKAGE_VERSION, "Orxonox " PACKAGE_VERSION);
-  
+
   // TO DO: Create a cool icon and use it here
   char* loadPic = new char[strlen(ResourceManager::getInstance()->getDataDir())+ 100];
   sprintf(loadPic, "%s%s", ResourceManager::getInstance()->getDataDir(),  "pictures/orxonox-icon32x32.bmp");
-  SDL_WM_SetIcon(SDL_LoadBMP(loadPic), NULL);  
+  SDL_WM_SetIcon(SDL_LoadBMP(loadPic), NULL);
   delete loadPic;
   // Enable default GL stuff
@@ -117,9 +118,9 @@
   //SDL_GL_SetAttribute(SDL_GL_BLUE_SIZE, 5);
   //SDL_GL_SetAttribute(SDL_GL_DEPTH_SIZE, 16);
-  
-
-  SDL_GL_SetAttribute( SDL_GL_DOUBLEBUFFER, 1 );   
-  SDL_GL_SetAttribute( SDL_GL_DEPTH_SIZE, 16);    
-  SDL_GL_SetAttribute( SDL_GL_STENCIL_SIZE, 0);  
+
+
+  SDL_GL_SetAttribute( SDL_GL_DOUBLEBUFFER, 1 );
+  SDL_GL_SetAttribute( SDL_GL_DEPTH_SIZE, 16);
+  SDL_GL_SetAttribute( SDL_GL_STENCIL_SIZE, 0);
   SDL_GL_SetAttribute( SDL_GL_ACCUM_RED_SIZE, 0);
   SDL_GL_SetAttribute( SDL_GL_ACCUM_GREEN_SIZE, 0);
@@ -144,5 +145,5 @@
   else
     fullscreenFlag = 0;
-  
+
   printf ("ok\n");
   if((this->screen = SDL_SetVideoMode(this->resolutionX, this->resolutionY, this->bitsPerPixel, this->videoFlags | fullscreenFlag)) == NULL)
@@ -195,5 +196,5 @@
 /**
    \brief entering 2D Mode
-   
+
    this is a GL-Projection-mode, that is orthogonal, for placing the font in fron of everything else
 */
@@ -202,5 +203,5 @@
   GraphicsEngine::storeMatrices();
   SDL_Surface *screen = SDL_GetVideoSurface();
-  
+
   /* Note, there may be other things you need to change,
      depending on how you have your OpenGL state set up.
@@ -215,17 +216,17 @@
   glEnable(GL_BLEND);
   glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-  
+
   glViewport(0, 0, screen->w, screen->h);
-  
+
   glMatrixMode(GL_PROJECTION);
   glPushMatrix();
   glLoadIdentity();
-  
+
   glOrtho(0.0, (GLdouble)screen->w, (GLdouble)screen->h, 0.0, 0.0, 1.0);
-  
+
   glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
   glLoadIdentity();
-  
+
   glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
 }
@@ -238,13 +239,13 @@
   glMatrixMode(GL_MODELVIEW);
   glPopMatrix();
-  
+
   glMatrixMode(GL_PROJECTION);
   glPopMatrix();
-  
+
   glPopAttrib();
 }
 
 /**
-   \brief stores the GL_matrices 
+   \brief stores the GL_matrices
 */
 void GraphicsEngine::storeMatrices(void)
@@ -271,5 +272,5 @@
   /* Get available fullscreen/hardware modes */
   this->videoModes=SDL_ListModes(NULL, SDL_FULLSCREEN|SDL_HWSURFACE);
-  
+
   /* Check is there are any modes available */
   if(this->videoModes == (SDL_Rect **)0){
@@ -277,5 +278,5 @@
     exit(-1);
   }
-  
+
   /* Check if our resolution is restricted */
   if(this->videoModes == (SDL_Rect **)-1){
@@ -301,5 +302,5 @@
       if( unlikely(this->currentFPS > this->maxFPS)) this->maxFPS = this->currentFPS;
       if( unlikely(this->currentFPS < this->minFPS)) this->minFPS = this->currentFPS;
-      
+
 #ifndef NO_TEXT
       char tmpChar1[20];
@@ -315,5 +316,5 @@
     }
 }
-  
+
 /**
    \brief displays the Frames per second
@@ -335,5 +336,5 @@
       this->geTextMinFPS = TextEngine::getInstance()->createText("fonts/druid.ttf", 35, TEXT_DYNAMIC, 0, 255, 0);
       this->geTextMinFPS->setAlignment(TEXT_ALIGN_LEFT);
-      this->geTextMinFPS->setPosition(5, 560);	
+      this->geTextMinFPS->setPosition(5, 560);
 #endif /* NO_TEXT */
     }
@@ -341,3 +342,3 @@
 }
 
-  
+
Index: orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/light.cc	(revision 4596)
+++ orxonox/trunk/src/lib/graphics/light.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -36,6 +36,6 @@
 {
   this->setClassID(CL_LIGHT, "Light");
-  char tmpName[7];
-  sprintf(tmpName, "Light%d", lightNumber);
+  char tmpName[10];
+  sprintf(tmpName, "Light[%d]", lightNumber);
   this->setName(tmpName);
 
@@ -43,5 +43,5 @@
   // enable The light
   glEnable(lightsV[lightNumber]); // postSpawn
-  
+
   // set values (defaults)
   this->lightNumber = lightNumber;
@@ -179,5 +179,5 @@
 /**
    \brief draws this Light. Being a World-entity the possibility to do this lies at hand.
-*/ 
+*/
 void Light::draw()
 {
@@ -195,5 +195,5 @@
   PRINT(0)(":: %d ::  -- reference %p\n", this->lightNumber, this);
   PRINT(0)(" GL-state: ");
-  GLboolean param; 
+  GLboolean param;
   glGetBooleanv(lightsV[this->lightNumber], &param);
   if (param)
@@ -201,5 +201,5 @@
   else
     PRINT(0)("OFF\n");
-  
+
   PRINT(0)(" Position:      %f/%f/%f\n", this->lightPosition[0], this->lightPosition[1], this->lightPosition[2]);
   PRINT(0)(" DiffuseColor:  %f/%f/%f\n", this->diffuseColor[0], this->diffuseColor[1], this->diffuseColor[2]);
@@ -215,5 +215,5 @@
    \brief standard constructor for a Light
 */
-LightManager::LightManager () 
+LightManager::LightManager ()
 {
   this->setClassID(CL_LIGHT_MANAGER, "LightManager");
@@ -229,5 +229,5 @@
 /**
    \brief standard deconstructor
-   
+
    first disables Lighting
 
@@ -235,8 +235,8 @@
    and in the end sets the singleton Reference to zero.
 */
-LightManager::~LightManager () 
+LightManager::~LightManager ()
 {
   glDisable(GL_LIGHTING);
-  
+
   // this will be done either by worldEntity, or by pNode as each light is one of them
   //  for (int i = 0; i < NUMBEROFLIGHTS; i++)
@@ -270,5 +270,5 @@
   for (int i = 0; i < NUMBEROFLIGHTS; i++)
     if (!this->lights[i])
-      return addLight(i); 
+      return addLight(i);
   PRINTF(1)("no more light slots availiable. All %d already taken\n", NUMBEROFLIGHTS);
   return -1;
@@ -302,5 +302,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -316,5 +316,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(1)("no Light defined yet. So you cannot delete any Light right now.\n");
       return;
@@ -392,5 +392,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -409,5 +409,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -426,5 +426,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -443,5 +443,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -458,5 +458,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -473,5 +473,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet. Please define at least one light first befor editing.\n");
       return;
@@ -488,5 +488,5 @@
 {
   if (!this->currentLight)
-    { 
+    {
       PRINTF(2)("no Light defined yet\n");
       return Vector(.0, .0, .0);
@@ -498,5 +498,5 @@
 
 /**
-   \returns the Position of Light 
+   \returns the Position of Light
    \param lightNumber lightnumber
 */
@@ -539,5 +539,5 @@
     if (this->lights[i])
       {
-	this->lights[i]->debug();
+        this->lights[i]->debug();
       }
   PRINT(0)("--------------------------------\n");
